# Rustracer
Rustracer is an efficient GPU Path tracer written in Rust and Vulkan

ACTIVE DEVELOPMENT IS ON THE `nee-temp` BRANCH

## Features
* Optimised BVH implementation, with support for millions of polygons
  ![](https://pbs.twimg.com/media/DUVSOflW0AA6IiM.jpg)
  ![](https://pbs.twimg.com/media/DUV3wmTWkAAmJvA.jpg)
* FOV
  ![](https://pbs.twimg.com/media/DUu5Ab5W0AULvIF.jpg)
* Dielectrics
  ![](https://pbs.twimg.com/media/DUgNb59W4AEUVzE.jpg)
* Next Event Estimation
  ![](https://pbs.twimg.com/media/DUZsUXdXUAA276H.jpg)